LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XRegion Interface Referencepublished

manages multiple rectangles which make up a region. More...

`import"XRegion.idl";`

Inheritance diagram for XRegion:

## Public Member Functions
Rectangle | getBounds ()
| returns the bounding box of the shape. More...
void | clear ()
| makes this region an empty region. More...
void | move ([in] long nHorzMove, [in] long nVertMove)
| moves this region by the specified horizontal and vertical delta. More...
void | unionRectangle ([in] Rectangle Rect)
| adds the specified rectangle to this region. More...
void | intersectRectangle ([in] Rectangle Region)
| intersects the specified rectangle with the current region. More...
void | excludeRectangle ([in] Rectangle Rect)
| removes the area of the specified rectangle from this region. More...
void | xOrRectangle ([in] Rectangle Rect)
| applies an exclusive-or operation with the specified rectangle to this region. More...
void | unionRegion ([in] XRegion Region)
| adds the specified region to this region. More...
void | intersectRegion ([in] XRegion Region)
| intersects the specified region with the current region. More...
void | excludeRegion ([in] XRegion Region)
| removes the area of the specified region from this region. More...
void | xOrRegion ([in] XRegion Region)
| applies an exclusive-or operation with the specified region to this region. More...
sequence< Rectangle > | getRectangles ()
| returns all rectangles which are making up this region. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

manages multiple rectangles which make up a region.

## Member Function Documentation

## ◆ clear()

void clear | ( |  | ) |

makes this region an empty region.

## ◆ excludeRectangle()

void excludeRectangle | ( | [in] Rectangle | Rect | ) |

removes the area of the specified rectangle from this region.

## ◆ excludeRegion()

void excludeRegion | ( | [in] XRegion | Region | ) |

removes the area of the specified region from this region.

## ◆ getBounds()

Rectangle getBounds | ( |  | ) |

returns the bounding box of the shape.

## ◆ getRectangles()

sequence< Rectangle > getRectangles | ( |  | ) |

returns all rectangles which are making up this region.

## ◆ intersectRectangle()

void intersectRectangle | ( | [in] Rectangle | Region | ) |

intersects the specified rectangle with the current region.

## ◆ intersectRegion()

void intersectRegion | ( | [in] XRegion | Region | ) |

intersects the specified region with the current region.

## ◆ move()

void move | ( | [in] long | nHorzMove,
|  | [in] long | nVertMove
| ) |  |

moves this region by the specified horizontal and vertical delta.

## ◆ unionRectangle()

void unionRectangle | ( | [in] Rectangle | Rect | ) |

adds the specified rectangle to this region.

## ◆ unionRegion()

void unionRegion | ( | [in] XRegion | Region | ) |

adds the specified region to this region.

## ◆ xOrRectangle()

void xOrRectangle | ( | [in] Rectangle | Rect | ) |

applies an exclusive-or operation with the specified rectangle to this region.

## ◆ xOrRegion()

void xOrRegion | ( | [in] XRegion | Region | ) |

applies an exclusive-or operation with the specified region to this region.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XRegion.idl